/* ******************************
:: WEB FONTS
****************************** */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,500;0,600;0,700;1,300&display=swap');

/* ******************************
:: IMPORT ALL CSS
****************************** */
@import url('./reset.css');

/* ******************************
:: GLOBAL CSS
****************************** */
:root {
  --primary-font: 'Open Sans', sans-serif;
  --primary-color: #CE3061;
  --secondary-color: #0F7173;
  --secondary-color-dark: #0C6291;
  --primary-color-dark: #2D3142;
  --primary-color-light: #34D5AB;
  --green-color: #0F7173;
  --orange-color: #34D5AB;

  --gradient-color-01: #40082f;
  --gradient-color-02: #ce3061;
  --gradient-color-03: #fc459c;

  --white-color: #ffffff;
  --black-color: #000000;
  --gray-900-color: #FAFAFA;
  --gray-800-color: #F0F0F0;
  --gray-600-color: #E5E4F0;
  --gray-500-color: #D6D4E1;
  --gray-400-color: #9290A5;
  --gray-300-color: #575568;
  --gray-200-color: #2E2E2E;
  --gray-100-color: #17161E;
}

body {
  font: normal 400 0.875rem var(--primary-font);
  color: var(--gray-300-color);
  scroll-behavior: smooth;
}

input, textarea {
  display: block;
  width: 100% !important;
  font-size: 1rem;
  color: var(--gray-400-color);
  padding: 0.75rem 1rem;
  margin-bottom: 1rem;
  border: none;
  box-shadow: 0 5px 10px var(--gray-600-color);
}

textarea {
  resize: none;
}

input:focus-visible, textarea:focus-visible {
  outline: none;
  box-shadow: 0 5px 10px var(--gray-500-color);
}

input[type='submit'] {
  background: var(--primary-color);
  font: inherit;
  font-size: 1rem;
  font-weight: 700;
	color: #fff;
	border: none;
  border-radius: 0.5rem;
  margin: 0;
	padding: 1rem 0;
	cursor: pointer;
	outline: inherit;
  transition: filter 0.2s;
}

input[type='submit']:hover {
  filter: brightness(0.9);
}

.form-message {
  text-align: center;
}

.form-message.error {
  color: #c22424;
  margin-top: 0.5rem;
}

.form-message.success {
  color: var(--orange-color);
  margin-top: 0.5rem;
}

h1 {
  font-size: 4rem;
  line-height: 120%;
  font-weight: 600;
  letter-spacing: -0.05rem;
  color: var(--white-color);
}

h2 {
  font-size: 2rem;
  line-height: 2.8rem;
  font-weight: 600;
  letter-spacing: -0.05rem;
}

h3 {
  font-size: 1.5rem;
  letter-spacing: -0.05rem;
}

h5 {
  font-size: 1rem;
  font-weight: 500;
  text-align: center;
  letter-spacing: -0.05rem;
}

h6 {
  font-size: 1.25rem;
  line-height: 120%;
  font-weight: 500;
  letter-spacing: -0.05rem;
  max-width: 480px;
}

.bg-gradient {
  background: linear-gradient(
    130deg,
    var(--gradient-color-01) 0%,
    var(--gradient-color-02) 28%,
    var(--gradient-color-03) 100%) !important;
}

.bg-img-home {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-image: url('../img/banner-home.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  z-index: -99;
}

.bg-img-product {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-image: url('../img/bg-product.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  z-index: -99;
}

.bg-img-mask {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-color: #000000;
  opacity: 0.6;
  z-index: -9;
}

.sub-text {
  max-width: 550px;
  font-size: 1.2rem;
  line-height: 120%;
  font-weight: 500;
  color: var(--gray-900-color);
}

.box-top {
  position: relative;
  min-height: 100vh;
  padding-bottom: 2rem;
}

.separate {
  width: 8rem;
  height: 3px;
  background-color: var(--primary-color);
  margin: 0 auto;
}

/* ******************************
:: HEADER CSS
****************************** */
.handle-header {
  background-color: transparent;
  position: relative;
  top: 0;
  width: 100%;
  z-index: 999;
  transition: all 0.2s linear;
}

.navbar-brand {
  padding: 0;
  margin: 0;
}

.handle-header.active {
  position: fixed;
  background: linear-gradient(
    130deg,
    var(--gradient-color-01) 0%,
    var(--gradient-color-02) 28%,
    var(--gradient-color-03) 100%) !important;
}

.navbar-toggler span {
  font-size: 2rem;
  color: var(--white-color);
}

button.navbar-toggler:focus {
  box-shadow: none;
}

.navbar-nav li a {
  font-size: 1rem;
  font-weight: 600;
  text-decoration: none;
  text-transform: uppercase;
  color: var(--white-color);
  padding: 0.5rem 0;
  margin-left: 1rem;
}

.navbar-nav li a:hover {
  color: var(--gray-600-color);
}

.btn-stock {
  display: block;
  min-width: 220px;
  background-color: var(--orange-color);
  font-weight: 700;
  text-transform: uppercase;
  text-decoration: none;
  text-align: center;
	color: var(--white-color);
	padding: 1rem 2rem;
  transition: filter 0.2s;
  border-radius: 10px;
  border-bottom-right-radius: 25px;
  border-top-left-radius: 25px;
  box-shadow: 0 1rem 3rem rgba(0,0,0,.175);
}

.btn-stock:hover {
  color: var(--white-color);
  filter: brightness(0.9);
}

/* ******************************
:: STYLES CSS
****************************** */
/***** HOME START *****/
.home .box-info {
  display: flex;
  align-items: center;
}

.home .info {
  padding: 2rem 0;
}

.home .info p {
  margin: 1.5rem 0 2.5rem;
}

.home .form {
  background-color: var(--white-color);
  padding: 2rem;
  border-radius: 0.25rem;
  box-shadow: 0 1rem 3rem rgba(0,0,0,.175);
}

.home .form .topo {
  display: flex;
  flex-direction: column;
  text-align: center;
}

.home .form .topo .text {
  font-size: 1.75rem;
  line-height: 120%;
  font-weight: 500;
  letter-spacing: -0.05rem;
  color: var(--gray-300-color);
}

.home .form .topo .text-secondary {
  font-size: 1rem;
  line-height: 150%;
  font-weight: 300;
  color: var(--gray-400-color);
  padding: 0.5rem 0 1rem;
}
/***** HOME END *****/

/***** ABOUT START *****/

section#about {
  padding-top: 4rem;
  padding-bottom: 4rem;
}

.about {
  position: relative;
}

.about .single-project img {
  border-radius: 1rem;
}

.about .project-content-block {
  padding: 4rem 2.5rem;
  margin-left: -10rem;
  background: var(--gray-800-color);
  position: absolute;
  bottom: -4.375rem;
  box-sizing: border-box !important;
  border: 15px solid var(--white-color);
  box-shadow: 0 3px 10px 0px rgba(0, 0, 0, 0.08);
}

.about .project-content-block h2 {
  font-size: 1.5em;
  line-height: 120%;
  color: var(--secondary-color-dark);
  margin-bottom: 1rem;
}

.about .project-content-block p {
  font-weight: 500;
  color: var(--gray-200-color);
}

.about .project-content-block a {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 130px;
  font-size: 1rem;
  font-weight: 500;
  text-decoration: none;
  color: var(--white-color);
  background-color: var(--primary-color);
  padding: 0.5rem 0;
  margin-top: 1rem;
  border-radius: 0.5rem;
  transition: filter 0.3s;
}

.about .project-content-block a:hover {
  filter: brightness(0.9);
}

.cards {
  margin-top: 7rem;
  display: grid;
  grid-gap: 2rem;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.cards .card {
  text-align: center;
  padding: 2rem 1rem;
  border: none;
  border-radius: 1.5rem;
  box-shadow: 0 3px 20px 0px rgba(0, 0, 0, 0.08);
  transition: transform 0.3s;
}

.cards .card:hover {
  transform: translateY(-0.65rem);
}

.cards .card .circle-icon {
  font-size: 3rem;
  color:var(--primary-color);
}

.cards .card h3 {
  font-size: 1.5rem;
  font-weight: 600;
  letter-spacing: -0.05rem;
  color: var(--gray-400-color);
  padding: 1rem 0 0.5rem;
}

.cards .card p {
  color: var(--gray-300-color);
}
/***** ABOUT END *****/

/***** PRODUCT START *****/
.product-section {
  position: relative;
}

.product {
  padding-top: 6rem;
  padding-bottom: 6rem;
}

.product h2 {
  text-align: center;
  color: var(--white-color);
}

.product h5 {
  text-align: center;
  color: var(--gray-600-color);
  margin-top: 1rem;
}

.products-cards {
  margin-top: 1.75rem;
  display: grid;
  gap: 1.5rem;
  grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
}

.products-cards .product-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--white-color);
  padding: 2rem 1.5rem;
  border-radius: 0.25rem;
  box-shadow: 0 1rem 3rem rgba(0,0,0,.175);
  transition: transform 0.3s;
}

.products-cards .product-card:hover {
  transform: translate(-0.25rem, -0.5rem);
}

.products-cards .product-card h3 {
  font-size: 1.3rem;
  font-weight: 600;
  text-align: center;
  color: var(--primary-color-light);
}

.products-cards .product-card p {
  font-size: 1rem;
  text-align: center;
  color: var(--gray-400-color);
  margin-top: 0.75rem;
}
/***** PRODUCT END *****/

/***** PORTFOLIO START *****/
.portfolio {
  padding-top: 6rem;
  padding-bottom: 6rem;
}

.portfolio h2 {
  text-align: center;
  color: var(--gray-300-color);
}

.portfolio h5 {
  text-align: center;
  color: var(--gray-400-color);
  margin-top: 1rem;
}

.box-portfolio-img-large {
  margin-top: 1.75rem;
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

.box-portfolio-img-small {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

/***** PORTFOLIO END *****/

/***** CUSTOMERS END *****/
.customers {
  padding-top: 6rem;
  padding-bottom: 6rem;
}

.customers h2 {
  text-align: center;
  color: var(--gray-300-color);
}

.customers h5 {
  text-align: center;
  color: var(--gray-400-color);
  margin-top: 1rem;
}


.slide-customers {
  margin-top: 2rem;
}
/***** CUSTOMERS END *****/

/***** CONTACT START *****/
.contact {
  padding-top: 6rem;
  padding-bottom: 6rem;
}

.contact h2 {
  text-align: center;
  color: var(--white-color);
}

.contact .content-contact {
  margin-top: 2rem;
}

.contact .content-contact .contact-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 2rem 0;
}

.contact .content-contact .contact-info h6 {
  color: var(--gray-800-color);
}

.contact .content-contact .contact-info ul {
  margin-top: 1.5rem;
}

.contact .content-contact .contact-info li {
  display: flex;
  align-items: center;
}

.contact .content-contact .contact-info li.list-address {
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 24px;
}

.contact .content-contact .contact-info li.list-address .item-address .state {
  font-size: 16px;
  color: var(--gray-800-color);
  font-weight: 400;
}

.contact .content-contact .contact-info li.list-address .item-address .address {
  display: flex;
  align-items: center;
}

.contact .content-contact .contact-info li.phone-number .name {
  color: var(--gray-800-color);
  margin-left: 8px;
}

.icon-link {
  display: block;
  width: 28px;
  font-size: 1.5rem;
  color: var(--orange-color);
  margin-right: 0.5rem;
}

.contact .content-contact .contact-info li .link {
  font-size: 1rem;
  font-weight: 500;
  text-decoration: none;
  color: var(--gray-900-color);
}

.contact .content-contact .contact-info li .link:hover {
  text-decoration: underline;
}

.contact .content-contact .contact-info li.links-social-midia {
  margin-top: 3rem;
}

.contact .content-contact .contact-info li.links-social-midia a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  font-size: 1.5rem;
  color: var(--white-color);
  background-color: var(--orange-color);
  border-radius: 100%;
  border: solid 2px var(--orange-color);
  transition: all 0.3s;
}

.contact .content-contact .contact-info li.links-social-midia a:not(:last-child) {
  margin-right: 0.75rem;
}

.contact .content-contact .contact-info li.links-social-midia a:hover {
  background-color: transparent;
  color: var(--orange-color);
}

.contact form {
  background-color: var(--white-color);
  padding: 2rem 1.5rem;
  border-radius: 0.25rem;
  box-shadow: 0 1rem 3rem rgba(0,0,0,.175);
}

/***** CONTACT END *****/

footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  font-size: 1rem;
  color: var(--white-color);
  padding-top: 1rem;
  padding-bottom: 1rem;
  border-top: solid 1px var(--gray-600-color);
}

footer .develop span {
  font-size: 1rem;
  font-weight: 600;
  margin-right: 0.3rem;
}

footer .develop a {
  font-size: 1rem;
  font-weight: 600;
  color: var(--white-color);
}

.whatsapp-direction {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 999;
  border-radius: 50%;
  box-shadow: 0px 7px 15px rgba(0, 0, 0, 0.08);
  border: none;
  outline: none;
  background: #34af23;
}

.whatsapp-direction a {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2.3rem;
  height: 65px;
  width: 65px;
  color: #FFF;
  transition: all 0.3s;
}

.whatsapp-direction a:hover {
  height: 75px;
  width: 75px;
}

/* ******************************
:: RESET BOOTSTRAP CSS
****************************** */
.container {
  padding: auto 0;
}

.navbar-collapse {
  justify-content: space-between;
}

.navbar-nav {
  width: 100%;
  justify-content: flex-end;
}

button.navbar-toggler {
	background: none;
  font-size: 1.5rem !important;
	color: var(--black-color);
	border: none;
	padding: 0;
	font: inherit;
	cursor: pointer;
	outline: none !important;
}

button.navbar-toggler:focus {
	outline: none !important;
  border: none;
}

/* ******************************
:: RESET SWIPER CSS
****************************** */
.swiper-wrapper {
  align-items: center;
}

@media (max-width: 991px) {
  .navbar-nav li a {
    display: block;
    border-bottom: solid 1px var(--gray-600-color);
  }

  .navbar-nav li a {
    margin-left: 0;
  }

  .btn-stock {
    margin-top: 1rem;
  }

  .about {
    position: static;
  }

  .about .project-content-block {
    margin-left: 0;
    margin-top: 2rem;
    position: static;
  }

  .cards {
    margin-top: 3rem;
  }
}


@media screen and (max-width: 768px) {
  .content-top  {
    flex-direction: column;
    justify-content: center;
  }

  .content-top .info {
    margin-bottom: 2rem;
  }
}

@media (max-width: 575px) {
  h1 {
    font-size: 2.5rem;
  }

  .container {
    padding: auto 0.75rem !important;
  }

  .products-cards {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  }
}
